﻿'他の類似クラスとの共通化のために定義したインターフェース
Imports System.Net
Imports System.Collections.Generic

Public Interface IHttpConnection

    Function GetContent(ByVal method As String, _
            ByVal requestUri As Uri, _
            ByVal param As Dictionary(Of String, String), _
            ByRef content As String, _
            ByVal headerInfo As Dictionary(Of String, String)) As HttpStatusCode

    Function Authenticate(ByVal url As String, ByVal username As String, ByVal password As String) As Boolean

    ReadOnly Property AuthUsername() As String
End Interface